Bug 66529 - Cannot build libgtkhtml9 on stock "everything" 7.3 install
Cannot build libgtkhtml9 on stock "everything" 7.3 install
Product: Red Hat Linux
Classification: Retired
Component: libgtkhtml9 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2002-06-11 16:05 EDT by Glen A. Foster
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-11 16:05:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2002-06-11 16:05:16 EDT
Description of Problem: A libgtkhtml9 build dependency on gal-devel prevents
users from being able to build libgtkhtml9 on 7.3; gal-devel-0.8 is needed (as a
build pre-req) by libgtkhtml9, but 7.3 is shipped with gal-devel-0.19.1, a later
version.  As such, "rpm -ba" complains of unsatisfied build dependencies and exits.

Version-Release number of selected component (if applicable):
# rpm -q libgtkhtml9
# rpm -q gal-devel
# md5sum libgtkhtml9-0.9.2-10.src.rpm 
8cfc0231c87dd2282eaf3be4e1d78b9f  libgtkhtml9-0.9.2-10.src.rpm
# rpm -K libgtkhtml9-0.9.2-10.src.rpm
libgtkhtml9-0.9.2-10.src.rpm: md5 gpg OK

How Reproducible: 100% (always)

Steps to Reproduce:
1. Perform "everything" 7.3 install
2. rpm -Uvh {7.3dist}/i386/SRPMS/libgtkhtml9-0.9.2-10.src.rpm
3. rpm -ba /usr/src/redhat/SPECS/libgtkhtml9.spec

Actual Results:
# rpm -ba /usr/src/redhat/SPECS/libgtkhtml9.spec 
error: failed build dependencies:
	gal-devel = 0.8 is needed by libgtkhtml9-0.9.2-10

Expected Results: Successful build
Comment 1 Havoc Pennington 2002-06-17 01:04:05 EDT
The current policy is that compat libs aren't required to be rebuildable,
because in many cases it's virtually impossible to make them so.

Note You need to log in before you can comment on or make changes to this bug.